{-$D}
{*************************************************************************}
{                                                                         }
{                      HlcCaptureThread Unit                              }
{                                                                         }
{  Used by HlcCapture Component.                                          }
{                                                                         }
{*************************************************************************}

{*************************************************************************}
{                                                                         }
{  Copyright (c) 1997, 1999 High-Logic [Erwin Denissen]                   }
{                                                                         }
{  You may use a Shareware Copy of this Software for an evaluation period }
{  of up to 30 days, in order to determine whether the Software meets     }
{  your needs before purchasing it. Once the evaluation period ends, you  }
{  agree to either purchase a copy of the software, or to stop using it   }
{  and remove it from your computer system.                               }
{                                                                         }
{  A registered version of this and other components and software can be  }
{  ordered at the following site: http://www.high-logic.com/index.html    }
{                                                                         }
{  There are no known bugs at the moment, so please notify me when you    }
{  find one. Make sure you are using the latest version of this software. }
{  email: erwind@high-logic.com                                           }
{                                                                         }
{  DISCLAIMER                                                             }
{  In no event will the author be held liable for any direct or indirect  }
{  damage resulting from the use of this software or any derivatives      }
{  thereof.                                                               }
{                                                                         }
{*************************************************************************}

unit HlcCaptureThread;

interface

uses
  Classes, Windows;

type
  ThlcCaptureThread = class(TThread)
  private
    { Private declarations }
    procedure Captured;
  protected
    procedure Execute; override;
  public
    vKey  : integer;
    Delay : DWORD;
    TheSender : TComponent;
  end;

implementation

uses HlcCapture;

{ ThlcCaptureThread }

procedure ThlcCaptureThread.Execute;
var
  TimeElapsed, CapturevKey : boolean;
  StartTime : DWORD;
begin
  { Place thread code here }
  // Make sure we have reset the incoming virtual keys
  // otherwise a previous key could set CaptureKey to True
  repeat
  until GetAsyncKeyState(vKey) = 0;
  CapturevKey:=False;
  TimeElapsed:=False;
  StartTime:=GetTickCount;
  while (not Terminated) and (not CapturevKey) and (not TimeElapsed) do
  begin
    Windows.Sleep(20);
    if Delay>0
    then TimeElapsed:=(GetTickCount-StartTime)>Delay;
    if vKey<>0
    then CapturevKey:=(GetAsyncKeyState(vKey) <> 0);
  end;
  if CapturevKey or TimeElapsed
  then Synchronize(Captured);
end;

procedure ThlcCaptureThread.Captured;
begin
  if TheSender is ThlcCapture then
  with TheSender as ThlcCapture do DoCapture;
end;

end.
