{-$D}
{*************************************************************************}
{                                                                         }
{                           HlcReg Unit                                   }
{                                                                         }
{  Registers Components, PropertyEditors and ComponentEditors.            }
{                                                                         }
{*************************************************************************}

{*************************************************************************}
{                                                                         }
{  Copyright (c) 1997, 1999 High-Logic [Erwin Denissen]                   }
{                                                                         }
{  You may use a Shareware Copy of this Software for an evaluation period }
{  of up to 30 days, in order to determine whether the Software meets     }
{  your needs before purchasing it. Once the evaluation period ends, you  }
{  agree to either purchase a copy of the software, or to stop using it   }
{  and remove it from your computer system.                               }
{                                                                         }
{  A registered version of this and other components and software can be  }
{  ordered at the following site: http://www.high-logic.com/index.html    }
{                                                                         }
{  There are no known bugs at the moment, so please notify me when you    }
{  find one. Make sure you are using the latest version of this software. }
{  email: erwind@high-logic.com                                           }
{                                                                         }
{  DISCLAIMER                                                             }
{  In no event will the author be held liable for any direct or indirect  }
{  damage resulting from the use of this software or any derivatives      }
{  thereof.                                                               }
{                                                                         }
{*************************************************************************}

unit HlcReg;

interface

uses
  DsgnIntf, Classes;

procedure Register;

implementation

uses
{$IFNDEF VER90} // not Delphi 2
  HlcRuler,
  {$IFNDEF VER100} // not Delphi 3
  HlcExtendedSpinEdit,
  {$ENDIF}
{$ENDIF}
  HlcUndoRedoRepeat, HlcExecutor, HlcCapture, HlcResourceInline,
  HlcRegionInline, HlcRegisterAbout, HlcFileSearch;

procedure Register;
begin
  RegisterComponents('High-Logic', [ThlcUndoRedoRepeat]);
  RegisterComponents('High-Logic', [ThlcExecutor]);
  RegisterComponents('High-Logic', [ThlcCapture]);
  RegisterComponents('High-Logic', [ThlcResourceInline]);
  RegisterComponents('High-Logic', [ThlcRegionInline]);
{$IFNDEF VER90} // not Delphi 2
  RegisterComponents('High-Logic', [ThlcRuler]);
  {$IFNDEF VER100} // not Delphi 3
  RegisterComponents('High-Logic', [ThlcExtendedEdit]);
  RegisterComponents('High-Logic', [ThlcExtendedSpinEdit]);
  {$ENDIF}
{$ENDIF}
  RegisterComponents('High-Logic', [ThlcFileSearch]);

  RegisterComponentEditor(ThlcResourceInline, ThlcResourceInlineEditor);
  RegisterPropertyEditor(TypeInfo(ThlcAbout), nil, 'About', ThlcRegisterAboutProperty);
  RegisterPropertyEditor(TypeInfo(ThlcResource), nil, '', ThlcResourceProperty);
end;

end.

