{*************************************************************************}
{                                                                         }
{  Dialog example to illustrate the UndoRedoRepeat Component              }
{                                                                         }
{  Example for Delphi 3 or higher                                         }
{                                                                         }
{  Copyright (c) 1997, 1999 High-Logic [Erwin Denissen]                   }
{                                                                         }
{  There are no known bugs at the moment, so please notify us when you    }
{  find one. Make sure you are using the latest version of this software. }
{  email: erwind@high-logic.com                                           }
{                                                                         }
{*************************************************************************}

unit OptionDlgFrm;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  StdCtrls, ExtCtrls, Forms, ComCtrls, FileCtrl, Dialogs, DeclUnit;

type
  TOptionDlgForm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ButtonApply: TButton;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    RadioGroup1: TRadioGroup;
    RadioGroup3: TRadioGroup;
    RadioGroup4: TRadioGroup;
    ListBox2: TListBox;
    CheckBox1: TCheckBox;
    Edit1: TEdit;
    UpDown1: TUpDown;
    Label2: TLabel;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    Label3: TLabel;
    Panel1: TPanel;
    ColorDialog1: TColorDialog;
    Panel2: TPanel;
    ListBox1: TListBox;
    Panel3: TPanel;
    Image1: TImage;
    Label1: TLabel;
    FileListBox1: TFileListBox;
    procedure FormCreate(Sender: TObject);
    procedure ButtonApplyClick(Sender: TObject);
    procedure ListBox2Click(Sender: TObject);
    procedure Panel1Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure CheckBoxClick(Sender: TObject);
    procedure UpDown1Changing(Sender: TObject; var AllowChange: Boolean);
  public
    ApplyOptions:TOptionsDlg;
  end;

var
  OptionDlgForm: TOptionDlgForm;

implementation

uses DialogFrm;

{$R *.DFM}


function GetWindowsDir: string;
var
  DirName : pchar;
begin
  GetMem(DirName, MAX_PATH);
  try
    GetWindowsDirectory(DirName, MAX_PATH);
    Result:=DirName;
  finally
    FreeMem(DirName);
  end;
end;

procedure TOptionDlgForm.FormCreate(Sender: TObject);
begin
  PageControl1.ActivePage:=TabSheet1;
  FileListBox1.Directory:=GetWindowsDir;
  ListBox2.Items.Assign(Screen.Fonts);
  Image1.Picture.Bitmap.Assign(DialogForm.ImageDefault.Picture.Bitmap);
end;

procedure TOptionDlgForm.ListBox2Click(Sender: TObject);
begin
  ButtonApply.Enabled:=True;
end;

procedure TOptionDlgForm.Panel1Click(Sender: TObject);
begin
  ColorDialog1.Color:=Panel1.Color;
  if ColorDialog1.Execute then
  begin
    Panel1.Color:=ColorDialog1.Color;
    ButtonApply.Enabled:=True;
  end;
end;

procedure TOptionDlgForm.ButtonApplyClick(Sender: TObject);
begin
  ButtonApply.Enabled:=False;
  with ApplyOptions do
  begin
    ODLayoutItem:=ListBox1.ItemIndex;
    ODLayoutName:=ListBox1.Items[ListBox1.ItemIndex];
    ODFontName:=ListBox2.Items[ListBox2.ItemIndex];
    ODFontStyle:=[];
    if CheckBox1.Checked
    then ODFontStyle:=ODFontStyle+[fsBold];
    if CheckBox2.Checked
    then ODFontStyle:=ODFontStyle+[fsItalic];
    if CheckBox3.Checked
    then ODFontStyle:=ODFontStyle+[fsUnderline];
    if CheckBox4.Checked
    then ODFontStyle:=ODFontStyle+[fsStrikeout];
    ODFontSize:=StrToInt(Edit1.Text);
    ODFontColor:=Panel1.Color;
  end;
  DialogForm.ApplyDialogOptions(ApplyOptions);
end;

procedure TOptionDlgForm.ListBox1Click(Sender: TObject);
begin
  ButtonApply.Enabled:=True;
  if ListBox1.ItemIndex=0 then
  begin
    Image1.Picture.Bitmap.PixelFormat:=pf24bit;
    Image1.Picture.Bitmap.Width:=48;
    Image1.Picture.Bitmap.Height:=48;
    Image1.Picture.Bitmap.Canvas.CopyMode:=cmWhiteness;
    Image1.Picture.Bitmap.Canvas.Pen.Color:=clBtnFace;
    Image1.Picture.Bitmap.Canvas.Brush.Color:=clBtnFace;
    Image1.Picture.Bitmap.Canvas.Rectangle(0,0, 48, 48);
  end;
  if ListBox1.ItemIndex=1 then
  begin
    Image1.Picture.Bitmap.Assign(DialogForm.ImageDefault.Picture.Bitmap);
  end;
  if ListBox1.ItemIndex>1 then
  begin
    Image1.Picture.LoadFromFile(ListBox1.Items[ListBox1.ItemIndex]);
  end;
end;

procedure TOptionDlgForm.CheckBoxClick(Sender: TObject);
begin
  ButtonApply.Enabled:=True;
end;

procedure TOptionDlgForm.UpDown1Changing(Sender: TObject;
  var AllowChange: Boolean);
begin
  ButtonApply.Enabled:=True;
end;



end.
