unit EditFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, HlcExtendedSpinEdit;

type
  TEditForm = class(TForm)
    ColorDialog1: TColorDialog;
    gbExtendedEdit: TGroupBox;
    cbExtendedEditHideContents: TCheckBox;
    cbExtendedEditEnabled: TCheckBox;
    pnExtendedEditEnabledColor: TPanel;
    pnExtendedEditDisabledColor: TPanel;
    Label1: TLabel;
    gbExtendedSpinEdit: TGroupBox;
    Label2: TLabel;
    cbExtendedSpinEditHideContents: TCheckBox;
    cbExtendedSpinEditEnabled: TCheckBox;
    pnExtendedSpinEditEnabledColor: TPanel;
    pnExtendedSpinEditDisabledColor: TPanel;
    hlcExtendedEditNewContents: ThlcExtendedEdit;
    Label3: TLabel;
    hlcExtendedSpinEdit2: ThlcExtendedSpinEdit;
    Button1: TButton;
    cbExtendedSpinEditAllowEmpty: TCheckBox;
    hlcExtendedSpinEditNewContents: ThlcExtendedSpinEdit;
    btnExtendedSpinEditEmpty: TButton;
    hlcExtendedSpinEdit1: ThlcExtendedSpinEdit;
    hlcExtendedEdit1: ThlcExtendedEdit;
    procedure FormCreate(Sender: TObject);
    procedure ExtendedEditChangeDisabledColor(Sender: TObject);
    procedure ExtendedEditChangeEnabledColor(Sender: TObject);
    procedure cbExtendedEditHideContentsClick(Sender: TObject);
    procedure cbExtendedEditEnabledClick(Sender: TObject);
    procedure hlcExtendedEditNewContentsChange(Sender: TObject);
    procedure hlcExtendedEdit1Change(Sender: TObject);
    procedure hlcExtendedSpinEdit2Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure cbExtendedSpinEditHideContentsClick(Sender: TObject);
    procedure cbExtendedSpinEditEnabledClick(Sender: TObject);
    procedure cbExtendedSpinEditAllowEmptyClick(Sender: TObject);
    procedure hlcExtendedSpinEditNewContentsChange(Sender: TObject);
    procedure btnExtendedSpinEditEmptyClick(Sender: TObject);
    procedure pnExtendedSpinEditEnabledColorClick(Sender: TObject);
    procedure pnExtendedSpinEditDisabledColorClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  EditForm: TEditForm;

implementation

{$R *.DFM}

procedure TEditForm.FormCreate(Sender: TObject);
begin
  pnExtendedEditEnabledColor.Color:=hlcExtendedEdit1.ColorEnabled;
  pnExtendedEditDisabledColor.Color:=hlcExtendedEdit1.ColorDisabled;
  hlcExtendedEditNewContents.Text:=hlcExtendedEdit1.Text;
  pnExtendedSpinEditEnabledColor.Color:=hlcExtendedSpinEdit1.ColorEnabled;
  pnExtendedSpinEditDisabledColor.Color:=hlcExtendedSpinEdit1.ColorDisabled;
  hlcExtendedSpinEditNewContents.Text:=hlcExtendedSpinEdit1.Text;
end;

procedure TEditForm.ExtendedEditChangeDisabledColor(Sender: TObject);
begin
  ColorDialog1.Color:=pnExtendedEditDisabledColor.Color;
  if ColorDialog1.Execute then
  begin
    pnExtendedEditDisabledColor.Color:=ColorDialog1.Color;
    hlcExtendedEdit1.ColorDisabled:=ColorDialog1.Color;
  end;
end;

procedure TEditForm.ExtendedEditChangeEnabledColor(Sender: TObject);
begin
  ColorDialog1.Color:=pnExtendedEditEnabledColor.Color;
  if ColorDialog1.Execute then
  begin
    pnExtendedEditEnabledColor.Color:=ColorDialog1.Color;
    hlcExtendedEdit1.ColorEnabled:=ColorDialog1.Color;
  end;
end;

procedure TEditForm.cbExtendedEditHideContentsClick(Sender: TObject);
begin
  hlcExtendedEdit1.ClearTextWhileDisabled:=cbExtendedEditHideContents.Checked
end;

procedure TEditForm.cbExtendedEditEnabledClick(Sender: TObject);
begin
  hlcExtendedEdit1.Enabled:=cbExtendedEditEnabled.Checked
end;

procedure TEditForm.hlcExtendedEditNewContentsChange(Sender: TObject);
begin
  hlcExtendedEdit1.Text:=hlcExtendedEditNewContents.Text;
end;

procedure TEditForm.hlcExtendedEdit1Change(Sender: TObject);
begin
  if hlcExtendedEdit1.Enabled
  then hlcExtendedEditNewContents.Text:=hlcExtendedEdit1.Text;
end;

procedure TEditForm.hlcExtendedSpinEdit2Change(Sender: TObject);
begin
  hlcExtendedSpinEdit1.Digits:=round(hlcExtendedSpinEdit2.Value);
  hlcExtendedSpinEditNewContents.Digits:=round(hlcExtendedSpinEdit2.Value);
end;

procedure TEditForm.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure TEditForm.cbExtendedSpinEditHideContentsClick(Sender: TObject);
begin
  hlcExtendedSpinEdit1.ClearTextWhileDisabled:=cbExtendedSpinEditHideContents.Checked
end;

procedure TEditForm.cbExtendedSpinEditEnabledClick(Sender: TObject);
begin
  hlcExtendedSpinEdit1.Enabled:=cbExtendedSpinEditEnabled.Checked
end;

procedure TEditForm.cbExtendedSpinEditAllowEmptyClick(Sender: TObject);
begin
  hlcExtendedSpinEdit1.AllowEmpty:=cbExtendedSpinEditAllowEmpty.Checked;
  btnExtendedSpinEditEmpty.Enabled:=cbExtendedSpinEditAllowEmpty.Checked;
end;

procedure TEditForm.hlcExtendedSpinEditNewContentsChange(Sender: TObject);
begin
  hlcExtendedSpinEdit1.Value:=hlcExtendedSpinEditNewContents.Value;
end;

procedure TEditForm.btnExtendedSpinEditEmptyClick(Sender: TObject);
begin
  hlcExtendedSpinEdit1.Text:='';
end;

procedure TEditForm.pnExtendedSpinEditEnabledColorClick(Sender: TObject);
begin
  ColorDialog1.Color:=pnExtendedSpinEditEnabledColor.Color;
  if ColorDialog1.Execute then
  begin
    pnExtendedSpinEditEnabledColor.Color:=ColorDialog1.Color;
    hlcExtendedSpinEdit1.ColorEnabled:=ColorDialog1.Color;
  end;
end;

procedure TEditForm.pnExtendedSpinEditDisabledColorClick(Sender: TObject);
begin
  ColorDialog1.Color:=pnExtendedSpinEditDisabledColor.Color;
  if ColorDialog1.Execute then
  begin
    pnExtendedSpinEditDisabledColor.Color:=ColorDialog1.Color;
    hlcExtendedSpinEdit1.ColorDisabled:=ColorDialog1.Color;
  end;
end;

end.
