unit RulersFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  HlcRuler, StdCtrls;

type
  TRulersForm = class(TForm)
    hlcRuler1: ThlcRuler;
    hlcRuler2: ThlcRuler;
    hlcRuler3: ThlcRuler;
    hlcRuler4: ThlcRuler;
    hlcRuler5: ThlcRuler;
    hlcRuler6: ThlcRuler;
    ScrollBar1: TScrollBar;
    procedure ScrollBar1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    PreviousValue: integer;
    procedure MoveRuler(Ruler: ThlcRuler; Offset: integer);
  public
    { Public declarations }
  end;

var
  RulersForm: TRulersForm;

implementation

{$R *.DFM}

procedure TRulersForm.MoveRuler(Ruler: ThlcRuler; Offset: integer);
begin
  Ruler.DocumentWorldStart:=Ruler.DocumentWorldStart+Offset;
  Ruler.DocumentWorldEnd:=Ruler.DocumentWorldEnd+Offset;
end;

procedure TRulersForm.ScrollBar1Change(Sender: TObject);
var
  Diff: integer;
begin
  Diff:=ScrollBar1.Position-PreviousValue;
  MoveRuler(hlcRuler1, Diff*10);
  MoveRuler(hlcRuler2, Diff*50);
  MoveRuler(hlcRuler3, Diff*100);
  MoveRuler(hlcRuler4, -Diff*10);
  MoveRuler(hlcRuler5, -Diff*50);
  MoveRuler(hlcRuler6, -Diff);
  PreviousValue:=ScrollBar1.Position;
end;

procedure TRulersForm.FormCreate(Sender: TObject);
begin
  PreviousValue:=50;
end;

end.
