unit SearchFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, HlcFileSearch;

type
  TSearchForm = class(TForm)
    hlcFileSearch1: ThlcFileSearch;
    btnSearch: TButton;
    Animate1: TAnimate;
    ListBox1: TListBox;
    cbSearchMask: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    cbSearchPath: TComboBox;
    btnStop: TButton;
    StatusBar1: TStatusBar;
    cbRecursive: TCheckBox;
    procedure btnSearchClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
    procedure hlcFileSearch1PathChange(Sender: TObject; PathName: String;
      SearchRec: TSearchRec; var Continue: Boolean);
    procedure hlcFileSearch1Stop(Sender: TObject);
    procedure hlcFileSearch1FileFound(Sender: TObject; FileName: String;
      SearchRec: TSearchRec; var Continue: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SearchForm: TSearchForm;

implementation

{$R *.DFM}

function GetWindowsDir: string;
var
  DirName : pchar;
begin
  GetMem(DirName, MAX_PATH);
  try
    GetWindowsDirectory(DirName, MAX_PATH);
    Result:=DirName;
  finally
    FreeMem(DirName);
  end;
end;

procedure TSearchForm.btnSearchClick(Sender: TObject);
var
  SearchPath: string;
  SearchMask: string;
begin
  Animate1.Active := True;
  ListBox1.Clear;
  btnSearch.Enabled := False;
  btnStop.Enabled := True;
  case cbSearchPath.ItemIndex of
    0: SearchPath:=GetWindowsDir;
    1: SearchPath:='C:\';
  end;
  case cbSearchMask.ItemIndex of
    0: SearchMask:='*.bmp';
    1: SearchMask:='*.ini';
    2: SearchMask:='*.exe';
  end;
  hlcFileSearch1.ClearTasks;
  hlcFileSearch1.Recursive := cbRecursive.Checked;
  hlcFileSearch1.AddSearchTask(SearchPath, SearchMask);
  hlcFileSearch1.Start;
end;

procedure TSearchForm.FormCreate(Sender: TObject);
begin
  cbSearchMask.ItemIndex := 0;
  cbSearchPath.ItemIndex := 0;
end;

procedure TSearchForm.btnStopClick(Sender: TObject);
begin
  btnSearch.Enabled := True;
  btnStop.Enabled := False;
  hlcFileSearch1.Cancel;
end;

procedure TSearchForm.hlcFileSearch1PathChange(Sender: TObject;
  PathName: String; SearchRec: TSearchRec; var Continue: Boolean);
begin
  StatusBar1.Panels[0].Text := PathName;
end;

procedure TSearchForm.hlcFileSearch1Stop(Sender: TObject);
begin
  Animate1.Active := False;
  btnSearch.Enabled := True;
  btnStop.Enabled := False;
  StatusBar1.Panels[0].Text := '';
end;

procedure TSearchForm.hlcFileSearch1FileFound(Sender: TObject;
  FileName: String; SearchRec: TSearchRec; var Continue: Boolean);
begin
  ListBox1.Items.Add(FileName);
end;

end.
