{*************************************************************************}
{                                                                         }
{  Starters example to illustrate the Executor Component                  }
{                                                                         }
{  Copyright (c) 1997, 1999 High-Logic [Erwin Denissen]                   }
{                                                                         }
{  There are no known bugs at the moment, so please notify us when you    }
{  find one. Make sure you are using the latest version of this software. }
{  email: erwind@high-logic.com                                           }
{                                                                         }
{*************************************************************************}

unit StartersFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons, HlcExecutor;

type
  TStartersForm = class(TForm)
    hlcExecutor: ThlcExecutor;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Button6: TButton;
    Label3: TLabel;
    Button7: TButton;
    Label4: TLabel;
    Button8: TButton;
    Edit1: TEdit;
    BitBtn1: TBitBtn;
    Label5: TLabel;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  StartersForm: TStartersForm;

implementation

{$R *.DFM}

function GetWindowsDir: string;
var
  DirName : pchar;
begin
  GetMem(DirName, MAX_PATH);
  try
    GetWindowsDirectory(DirName, MAX_PATH);
    Result:=DirName;
  finally
    FreeMem(DirName);
  end;
end;

procedure TStartersForm.Button1Click(Sender: TObject);
begin
  hlcExecutor.FileName:='';
  hlcExecutor.LaunchType:='';
  hlcExecutor.CommandLine:='';
  if Sender=Button1
  then hlcExecutor.FileName:='command.com';
  if Sender=Button2 then
  begin
    hlcExecutor.FileName:='command.com';
    hlcExecutor.CommandLine:='/K dir';
  end;
  if Sender=Button3
  then hlcExecutor.FileName:='command.com /K dir';
  if Sender=Button4 then
  begin
    hlcExecutor.FileName:='notepad.exe';
    hlcExecutor.CommandLine:='c:\autoexec.bat';
  end;
  if Sender=Button5 then
  begin
    hlcExecutor.FileName:='notepad.exe';
    hlcExecutor.CommandLine:='new.txt';
  end;
  if Sender=Button7
  then hlcExecutor.FileName:='explorer';
  if Sender=Button8
  then hlcExecutor.FileName:=Edit1.Text;
  hlcExecutor.Execute;
end;

procedure TStartersForm.BitBtn1Click(Sender: TObject);
begin
  hlcExecutor.FileName:='';
  hlcExecutor.LaunchType:='.html';
  hlcExecutor.LaunchOperation:='';
  hlcExecutor.CommandLine:='http://www.high-logic.com/cool.html';
  hlcExecutor.Execute;
end;

procedure TStartersForm.Button10Click(Sender: TObject);
begin
  hlcExecutor.FileName:='';
  hlcExecutor.LaunchType:='.wav';
  hlcExecutor.LaunchOperation:='play';
  hlcExecutor.CommandLine:=GetWindowsDir+'\media\Tada.wav';
  hlcExecutor.Execute;
end;

procedure TStartersForm.Button11Click(Sender: TObject);
begin
  hlcExecutor.FileName:='';
  hlcExecutor.LaunchType:='.bmp';
  hlcExecutor.LaunchOperation:='open';
  hlcExecutor.CommandLine:=GetWindowsDir+'\logos.sys';
  hlcExecutor.Execute;
end;

procedure TStartersForm.Button12Click(Sender: TObject);
begin
  if OpenDialog1.Execute
  then Edit1.Text:=OpenDialog1.FileName;
end;


procedure TStartersForm.Button9Click(Sender: TObject);
begin
  hlcExecutor.FileName:='mailto:person1@company1.com;person2@company2.org;etc@etc.etc';
  hlcExecutor.LaunchType:='open';
  hlcExecutor.LaunchOperation:='';
  hlcExecutor.CommandLine:='';
  hlcExecutor.Execute;
end;

procedure TStartersForm.Button6Click(Sender: TObject);
begin
  hlcExecutor.FileName:='explorer';
  hlcExecutor.LaunchType:='';
  hlcExecutor.LaunchOperation:='';
  hlcExecutor.CommandLine:=GetWindowsDir;
  hlcExecutor.Execute;

end;

end.
